Skip to main content
POST
/
invoices
/
{lago_id}
/
retry_payment
Retry an invoice payment
curl --request POST \
  --url https://core.nozle.app/api/v1/invoices/{lago_id}/retry_payment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payment_method": {
    "payment_method_type": "provider",
    "payment_method_id": "1a901a90-1a90-1a90-1a90-1a901a901a90"
  }
}
'
{
  "status": 401,
  "error": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lago_id
string<uuid>
required

Unique identifier assigned to the invoice within the Lago application. This ID is exclusively created by Lago and serves as a unique identifier for the invoice's record within the Lago system.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

Body

application/json

Payment method to use for the retry (optional)

payment_method
object

Reference to a specific payment method for processing the payment.

Response

Invoice payment retried